Algorand RPC

📘

See the Algorand RPC API connection guide.

algod REST

MethodNotesCompute Unit Value
GET /healthReturns an empty successful response when the algod service is healthy.1
GET /v2/accounts/{address}Returns the current account data for an address.10
GET /v2/accounts/{address}/applications/{application-id}Returns an application's local state and opt-in data for an account.10
GET /v2/accounts/{address}/assets/{asset-id}Returns an asset holding for an account.10
GET /v2/accounts/{address}/transactions/pendingReturns pending transactions for an account.10
GET /v2/applications/{application-id}Returns an application by ID.5
GET /v2/assets/{asset-id}Returns an asset's parameters by ID.5
GET /v2/blocks/{round}Returns the block at a specified round.50
GET /v2/blocks/{round}/lightheader/proofReturns a light-header proof for a specified round.50
GET /v2/blocks/{round}/transactions/{txid}/proofReturns a transaction proof for a transaction in a specified round.50
GET /v2/statusReturns the algod node's current status.1
POST /v2/transactionsBroadcasts an encoded, signed transaction or transaction group.10
GET /v2/transactions/paramsReturns suggested transaction parameters for the current network state.5
GET /v2/transactions/pendingReturns pending transactions known to the node.5
GET /v2/transactions/pending/{txid}Returns a pending transaction by transaction ID.5